Bug 699815 - Fix Coverity code maintainability issues
Summary: Fix Coverity code maintainability issues
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: 389
Classification: Retired
Component: Admin
Version: 1.2.8
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nathan Kinder
QA Contact: Chandrasekar Kannan
URL:
Whiteboard:
Depends On:
Blocks: 434915
TreeView+ depends on / blocked
 
Reported: 2011-04-26 16:40 UTC by Nathan Kinder
Modified: 2015-01-04 23:48 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-05-17 14:08:50 UTC


Attachments (Terms of Use)
Patch for cov#10859 (2.43 KB, patch)
2011-04-26 16:45 UTC, Nathan Kinder
nkinder: review?
rmeggins: review+
Details | Diff
Patch for cov#10858 (856 bytes, patch)
2011-04-26 16:58 UTC, Nathan Kinder
nkinder: review?
rmeggins: review+
Details | Diff
Patch for cov#10849,10851 (1.95 KB, patch)
2011-04-26 20:43 UTC, Nathan Kinder
nhosoi: review+
Details | Diff
Revised patch for cov#10849,10851 (1.96 KB, patch)
2011-04-26 20:55 UTC, Nathan Kinder
nhosoi: review+
Details | Diff

Description Nathan Kinder 2011-04-26 16:40:59 UTC
A recent run of Coverity against the Admin Server code turned up a number of code maintainability issues.  We need to address these issues.

Comment 1 Nathan Kinder 2011-04-26 16:45:36 UTC
Created attachment 494992 [details]
Patch for cov#10859

Comment 2 Nathan Kinder 2011-04-26 16:58:51 UTC
Created attachment 494996 [details]
Patch for cov#10858

Comment 3 Nathan Kinder 2011-04-26 20:43:44 UTC
Created attachment 495036 [details]
Patch for cov#10849,10851

Comment 4 Nathan Kinder 2011-04-26 20:55:05 UTC
Created attachment 495037 [details]
Revised patch for cov#10849,10851

Comment 5 Nathan Kinder 2011-04-26 21:01:09 UTC
Pushed patches to master.  Thanks to Rich and Noriko for their reviews!

Counting objects: 23, done.
Delta compression using up to 2 threads.
Compressing objects: 100% (15/15), done.
Writing objects: 100% (15/15), 1.62 KiB, done.
Total 15 (delta 12), reused 0 (delta 0)
To ssh://git.fedorahosted.org/git/389/admin.git
   99c91b3..0f9bcc0  master -> master


Note You need to log in before you can comment on or make changes to this bug.